# CL-LMM

## Requirements

```bash
uv venv --python 3.11.7
uv pip install torch==2.5.1+cu124 torchvision==0.20.1+cu124 torchaudio==2.5.1+cu124 --index-url https://download.pytorch.org/whl/cu124
uv pip install -r requirements.txt
```

## Code Structure

```bash
src
├── collatefn_library
├── configs           accelerator configs
├── dataset_library
├── evaluation.py
├── evaluation.sh     evaluation bash(TODO:update)
├── peft_library
├── todo.md
├── train.py
├── train.sh          train bash
└── utils
```
